import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = c.length - 1, o; i >= 0; i--)
    (o = c[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && g(t, s, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chatFilledLarge", this.class = "c-pieIcon c-pieIcon--chatFilledLarge", this.name = "IconChatFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chatFilledLarge"><path d="M25.625 4.625H6.375A2.625 2.625 0 0 0 3.75 7.25v21.875h2.266l4.988-4.996a.92.92 0 0 1 .621-.254h14a2.625 2.625 0 0 0 2.625-2.625v-14a2.625 2.625 0 0 0-2.625-2.625M9.438 14.25a1.313 1.313 0 1 1 2.625 0 1.313 1.313 0 0 1-2.626 0m5.25 0a1.313 1.313 0 1 1 2.625 0 1.313 1.313 0 0 1-2.625 0m6.562 1.313a1.313 1.313 0 1 1 0-2.626 1.313 1.313 0 0 1 0 2.626"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], l.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = a([
  f("icon-chat-filled-large")
], l);
export {
  l as IconChatFilledLarge
};
